Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class WebPage

    java.lang.Object
      |
      +--weblogic.html.WebPage

Direct Known Subclasses:
  AudioPage, HtmlPage, ImagePage, PlainPage

public class WebPage
extends java.lang.Object

Parent class for htmlKona page objects. The methods in this class set attributes for a WebPage, specifically header information.

Author:
  Copyright (c) 1995-97, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `AudioPage`, `HtmlPage`, `ImagePage`, `PlainPage`

Field Summary
`protected java.lang.String` | `allow`
`protected java.lang.String` | `codeset`
`protected java.lang.String` | `contentbuf`
`protected java.lang.String` | `contentencoding`
`protected int` | `contentlength`
`protected java.lang.String` | `contents`
`protected java.lang.String` | `contenttype`
`protected java.lang.String` | `expires`
`protected java.lang.String` | `lastmodified`
`protected java.lang.String` | `location`
`protected java.lang.String` | `pragma`
`protected java.lang.String` | `referer`
`protected java.lang.String` | `server`

Constructor Summary
`WebPage()`

Method Summary
`java.lang.String` | `allow()` Gets the allow information for a WebPage.
`void` | `allow(java.lang.String allow)` Sets the allow information for a WebPage to the specified string.
`java.lang.String` | `contentBuf()` Gets miscellaneous response-header strings.
`void` | `contentBuf(java.lang.String str)` Sets miscellaneous response-header strings.
`java.lang.String` | `contentEncoding()` Gets the content encoding for a WebPage.
`void` | `contentEncoding(java.lang.String encoding)` Sets the content encoding for a WebPage to the specified string.
`int` | `contentLength()` Gets the content-length for a WebPage.
`void` | `contentLength(int len)` Sets the content-length information for a WebPage to the specified length.
`java.lang.String` | `contents()` Gets the contents of the page.
`void` | `contents(java.lang.String str)` Sets the contents of the page.
`java.lang.String` | `contentType()` Returns the content type of a WebPage.
`void` | `contentType(java.lang.String contenttype)` Sets the content type of a WebPage to the specified string.
`java.lang.String` | `expires()` Gets the HTTP-EQUIV=Expires information for a WebPage.
`void` | `expires(java.lang.String expiry)` Sets the HTTP expiry date for a WebPage.
`WebPage` | `includeHeader(boolean httpinfo)` Deprecated.
`java.lang.String` | `lastModified()` Gets the last modified information for a WebPage.
`void` | `lastModified(java.lang.String modified)` Sets the last modified information for a WebPage.
`java.lang.String` | `location()` Gets the location information for a WebPage.
`void` | `location(java.lang.String location)` Sets the location information for a WebPage to the specified string.
`void` | `output()` Outputs a WebPage to System.out.
`void` | `output(java.io.OutputStream out)` Outputs a WebPage to the specified output stream.
`void` | `output(java.io.OutputStream out, java.lang.String codeset)` Outputs a WebPage to the specified output stream.
`void` | `output(java.lang.String codeset)` Outputs a WebPage to System.out.
`java.lang.String` | `pragma()` Gets the pragma information for a WebPage.
`void` | `pragma(java.lang.String pragma)` Sets the pragma information for a WebPage to the specified string.
`java.lang.String` | `referer()` Gets the referer URL for a WebPage.
`void` | `referer(java.lang.String ref)` Sets the referer information for a WebPage to the specified string.
`java.lang.String` | `server()` Gets the server information for a WebPage.
`void` | `server(java.lang.String server)` Sets the server information for a WebPage to the specified string.
`WebPage` | `setClientPull(java.lang.String url, int val)` Superceded in 2.1 by MetaElement(refreshrate, url).
`WebPage` | `setClientPull(java.lang.String url, java.lang.String str)` Sets the HTTP-EQUIV refresh rate to the specified interval and references the specified url.
`void` | `setCodeset(java.lang.String codeset)` Sets the codeset that data is written in

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contenttype

    protected java.lang.String contenttype

### contentbuf

    protected java.lang.String contentbuf

### expires

    protected java.lang.String expires

### lastmodified

    protected java.lang.String lastmodified

### contentencoding

    protected java.lang.String contentencoding

### allow

    protected java.lang.String allow

### location

    protected java.lang.String location

### pragma

    protected java.lang.String pragma

### referer

    protected java.lang.String referer

### server

    protected java.lang.String server

### contentlength

    protected int contentlength

### contents

    protected java.lang.String contents

### codeset

    protected java.lang.String codeset

Constructor Detail

### WebPage

    public WebPage()

Method Detail

### setCodeset

    public void setCodeset(java.lang.String codeset)

  Sets the codeset that data is written in

### setClientPull

    public WebPage setClientPull(java.lang.String url,
                                 int val)

  Superceded in 2.1 by MetaElement(refreshrate, url). This method is left for backwards compatibility.

### includeHeader

    public WebPage includeHeader(boolean httpinfo)

  Deprecated.
  Determines whether HTTP header information should be included.

### setClientPull

    public WebPage setClientPull(java.lang.String url,
                                 java.lang.String str)

  Sets the HTTP-EQUIV refresh rate to the specified interval and references the specified url. Superceded in 2.1 by MetaElement(refreshrate, url). This method is left for backwards compatibility.

### contentType

    public java.lang.String contentType()

  Returns the content type of a WebPage.

### contentType

    public void contentType(java.lang.String contenttype)

  Sets the content type of a WebPage to the specified string.

  Parameters:
    `contenttype` - String

### expires

    public java.lang.String expires()

  Gets the HTTP-EQUIV=Expires information for a WebPage.

### expires

    public void expires(java.lang.String expiry)

  Sets the HTTP expiry date for a WebPage.

  Parameters:
    `expiry` - String

### lastModified

    public java.lang.String lastModified()

  Gets the last modified information for a WebPage.

### lastModified

    public void lastModified(java.lang.String modified)

  Sets the last modified information for a WebPage.

  Parameters:
    `modified` - String (format as an IETF date)

### contentEncoding

    public java.lang.String contentEncoding()

  Gets the content encoding for a WebPage.

### contentEncoding

    public void contentEncoding(java.lang.String encoding)

  Sets the content encoding for a WebPage to the specified string.

  Parameters:
    `encoding` - String

### allow

    public java.lang.String allow()

  Gets the allow information for a WebPage.

### allow

    public void allow(java.lang.String allow)

  Sets the allow information for a WebPage to the specified string.

  Parameters:
    `allow` - String

### location

    public java.lang.String location()

  Gets the location information for a WebPage.

### location

    public void location(java.lang.String location)

  Sets the location information for a WebPage to the specified string.

  Parameters:
    `location` - String location

### pragma

    public java.lang.String pragma()

  Gets the pragma information for a WebPage.

### pragma

    public void pragma(java.lang.String pragma)

  Sets the pragma information for a WebPage to the specified string.

  Parameters:
    `pragma` - String pragma

### referer

    public java.lang.String referer()

  Gets the referer URL for a WebPage.

### referer

    public void referer(java.lang.String ref)

  Sets the referer information for a WebPage to the specified string.

  Parameters:
    `ref` - String referer info

### server

    public java.lang.String server()

  Gets the server information for a WebPage.

### server

    public void server(java.lang.String server)

  Sets the server information for a WebPage to the specified string.

  Parameters:
    `server` - String server

### contentLength

    public int contentLength()

  Gets the content-length for a WebPage.

  Returns:
    Content length

### contentLength

    public void contentLength(int len)

  Sets the content-length information for a WebPage to the specified length.

  Parameters:
    `len` - Content length

### contentBuf

    public java.lang.String contentBuf()

  Gets miscellaneous response-header strings. For example, use this method to set arbitrary Cookies in the header.

### contentBuf

    public void contentBuf(java.lang.String str)

  Sets miscellaneous response-header strings. contentBuf() requires both the header prefix and its value.

### contents

    public void contents(java.lang.String str)

  Sets the contents of the page. This method is used to add plain text after the HTTP header for PlainPage.

### contents

    public java.lang.String contents()

  Gets the contents of the page.

### output

    public void output()
                throws java.io.IOException

  Outputs a WebPage to System.out.

  Throws:
    java.io.IOException - if there is an IO error

### output

    public void output(java.lang.String codeset)
                throws java.io.IOException

  Outputs a WebPage to System.out.

  Throws:
    java.io.IOException - if there is an IO error

### output

    public void output(java.io.OutputStream out)
                throws java.io.IOException

  Outputs a WebPage to the specified output stream.

  Parameters:
    `out` - OutputStream
  Throws:
    java.io.IOException - if there is an IO error

### output

    public void output(java.io.OutputStream out,
                       java.lang.String codeset)
                throws java.io.IOException

  Outputs a WebPage to the specified output stream.

  Parameters:
    `out` - OutputStream
    `String` - Java String
  Throws:
    java.io.IOException - if there is an IO error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD